function arrow(omega,ampl) 

% arrow(omega,ampl) : draws red arrows
%
% draws arrows of amplitude specified by ampl
% at a location specified by omega
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if nargin==1, ampl=ones(size(omega)); end
if size(omega)~=size(ampl), disp('amplitudes/frequencies inconsistent'), return, end

for i=1:length(omega)
 plot([omega(i) omega(i)],[0 ampl(i)],'r'); hold on
 plot(omega(i), ampl(i),'r^');
end