function R=equalT(Rh)
% function R=equalT(Rh)
%
% equalizes the elements along diagonals to generate a Toeplitz matrix

n=length(Rh);
r=[];
for i=0:n-1,
    r=[r mean(diag(Rh,i))]; 
end
R=toeplitz(r);