function [R,A,B,Rf,Rr]=toep_sample_average(y,n)
%  [R,A,B,Rf,Rr]=toep_sample_ave(y) : (A,B) companion realization, Rf,Rb forward/backward
%   
%  Computes a n by n toeplitz autocovariance matrix by sample averaging

N=length(y);

% y=y(:)';
% yvec=[];
% for k=1:n,
%     yvec=[yvec; y(k:N+k-n)]; end,
% R=yvec*yvec'/(N-n+1);
% Rr=flipud(fliplr(R)); Rf=R; R=.5*(R+Rr);


y=y(:);
yvec=[];
for k=1:N-n+1,
    yvec=[yvec y(k:k+n-1)];
end
R=yvec*yvec'/(N-n+1);
Rr=flipud(fliplr(R)); Rf=R; R=.5*(R+Rr);

A=compan(eye(1,n+1));
B=eye(n,1);