function [traceQQh,Qval,Qhval]=trqqh(T,Th)
% [trace(Q+Qh), Q, Qh]=trqqh(T,Th)  :  T+Q=Th+Qh  (where Q,Qh>0 and trace(Q+Qh)=minimal)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
narg=nargin;
if narg<2, disp('needs 2 arguments'), return, end

n1=length(T); kk=1:n1; Neps=1e-9; %tstructure=toeplitz([kk]); 

setlmis([])
Q=lmivar(1,[n1,1]); %lmivar(3,tstructure);
Qh=lmivar(1,[n1,1]);
lmiterm([1 1 1 0],T)
lmiterm([-1 1 1 0],Th+eye(n1,n1)*Neps);
lmiterm([1 1 1 Q],1,1);
lmiterm([-1 1 1 Qh],1,1);
%
lmiterm([2 1 1 0],Th)
lmiterm([-2 1 1 0],T+eye(n1,n1)*Neps);
lmiterm([2 1 1 Qh],1,1);
lmiterm([-2 1 1 Q],1,1);
%
lmiterm([-3 1 1 Q],1,1);
lmiterm([3 1 1 0],0);
%
lmiterm([-4 1 1 Qh],1,1);
lmiterm([4 1 1 0],0);
lmisys=getlmis;

weight=eye(n1,n1);
c=mat2dec(lmisys,weight,weight);
options=[1e-13,0,0,0,1];
[copt,xopt]=mincx(lmisys,c,options);

Qval=dec2mat(lmisys,xopt,Q);
Qhval=dec2mat(lmisys,xopt,Qh);
% Sval=dec2mat(lmisys,xopt,S);
% Cval=dec2mat(lmisys,xopt,C);
% Chval=dec2mat(lmisys,xopt,Ch);
traceQQh=trace(Qval+Qhval);

% Written by T.T. Georgiou (November 2006)