function stepfunction=stepfn(omega,jumps,freqrange)

% stepfunction=stepfn(omega,jumps,freqrange)
%
% Creates a step function with jumps of sizes JUMPS
% at the frequencies in OMEGA, over a range of frequencies
% given at FREQRANGE
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
omega=omega(:); jumps=jumps(:);
[omega,I]=sort(omega);
jumps=jumps(I);

stepfunction=zeros(size(freqrange));
for i=1:length(omega),
    for ii=1:length(freqrange)-1,
    if freqrange(ii)<omega(i) & omega(i)<=freqrange(ii+1),
    stepfunction(ii)=jumps(i);
    end
    end
end