function [Rml,traceval]=blw_ml(S,R)
% Rml=blw_ml(S)  or with an optional second argument as starting point
%
% it gives the maximum likelihood solution obtained as in BLW
% the ML solution is such that
%
% trace((Rinv*S*Rinv-Rinv*R*Rinv)T)= 0 for all Toeplitz T

if nargin==1, R=eye(size(S)); end
accuracy=1e-5;
traceval=[]; test=1;
while test>accuracy,
Rprime=blw(S,R);
while gblw(S,Rprime)>gblw(S,R), Rprime=R+.5*(Rprime-R); end
traceval=[traceval gblw(S,R)];
test=norm(R-Rprime)/norm(R);
R=Rprime;
end
Rml=R;