
path(path,'/Users/tryphon/papers/latest/4picci')

%% experiment with cyclostationary processess
N=1000; t=0:N-1; figure(1), clf
wn=randn(1,N); x=sin(pi*.2*.01*t);
wnx=wn.*x;
subplot(3,1,1), plot(t,wnx,t,x)

wnabsx=wn.*abs(x);
hold on, plot(t,wnabsx,'r')

%% spectral id over windows of size m
m=20; omega=linspace(0,pi,300);
windowcount=1; window=1:m; xx=[];
while windowcount < floor(N/m)
    time=(windowcount-1)*m+1:windowcount*m;
    y=wnx(time);
    [R,A,B]=toep_sample_average(y,floor(m/10));
    spectrum=me(R,A,B,omega);
    subplot(3,1,2), plot(omega,log(spectrum)), hold on
    xx=[xx sqrt(R(1,1))];
    windowcount=windowcount+1;
end, hold off
v=axis; axis([0 pi v(3) v(4)]);
subplot(3,1,3), tt=0:length(xx)-1; plot(tt/max(tt)*(N-1),xx), hold on, plot(t,abs(x),'r'), hold off