function [tr,Qval,Rval,Cval,Qhval,Chval,M,Mh]=toepMMh(Rh)
% [trace(Q+Qh),Q,R,C,Qh,Ch,M,Mh]=toepQQh(Rh)  :  Rh+Qh+Ch+Ch'=R+Q+C+C', M,Mh>0, R Toeplitz, and trace(Q+Qh)=minimal
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
n1=length(Rh); kk=1:n1; Neps=1e-9; tstructure=toeplitz([kk]); 

setlmis([])
R=lmivar(3,tstructure);
Q=lmivar(1,[n1,1]);
C=lmivar(2,[n1,n1]);
Qh=lmivar(1,[n1,1]);
Ch=lmivar(2,[n1,n1]);
%
lmiterm([1 1 1 R],1,1)
lmiterm([1 1 1 Q],1,1);
lmiterm([1 1 1 C],1,1,'s');
lmiterm([-1 1 1 0],Rh+eye(n1,n1)*Neps);
lmiterm([-1 1 1 Qh],1,1);
lmiterm([-1 1 1 Ch],1,1,'s');
%
lmiterm([2 1 1 0],Rh-eye(n1,n1)*Neps)
lmiterm([-2 1 1 R],1,1);
lmiterm([-2 1 1 Q],1,1);
lmiterm([-2 1 1 C],1,1,'s');
lmiterm([2 1 1 Qh],1,1);
lmiterm([2 1 1 Ch],1,1,'s');
%
lmiterm([-3 2 2 Q],1,1);
lmiterm([-3 1 1 R],1,1);
lmiterm([-3 1 2 C],1,1);
lmiterm([3 1 1 0],0);
%
lmiterm([-4 1 1 0],Rh);
lmiterm([-4 2 2 Qh],1,1);
lmiterm([-4 1 2 Ch],1,1);
lmiterm([4 1 1 0],0);
%
lmisys=getlmis;

weight=eye(n1,n1);
c=mat2dec(lmisys,0,weight,0,weight,0);
options=[1e-13,0,0,0,1];
[copt,xopt]=mincx(lmisys,c,options);

Qval=dec2mat(lmisys,xopt,Q);
Qhval=dec2mat(lmisys,xopt,Qh);
Rval=dec2mat(lmisys,xopt,R);
Cval=dec2mat(lmisys,xopt,C);
Chval=dec2mat(lmisys,xopt,Ch);
M=[Rval Cval;Cval' Qval];
Mh=[Rh Chval; Chval' Qhval'];
tr=trace(Qval+Qhval);
% Written by T.T. Georgiou