function [rsig,omega]=I2Ssigma(A,b,omega)

% [rsig,omega]=rsigma(A,b,omega) : ||inv(I+exp(j*omega)A)b|| vs. omega
%
% Computes sigma for complex data
% omega = theta (redundant/remnant from previous versions)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if nargin<3, omega=linspace(0,2*pi,200); end
omega=omega(:);
expomega=exp(1i*omega);
I=eye(size(A));
rsig=zeros(size(omega));
for i=1:length(omega),
rsig(i)=norm( inv( I-conj(expomega(i))*A ) *b );
end